/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Apr 13 14:40:09 EDT 2004
    copyright            : (C) 2004 by John S. Riley
    email                : dsbscience@cetlink.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "ranpw.h"

static const char *description =
	I18N_NOOP("RanPW");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "ranpw", I18N_NOOP("RanPW"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2004, John S. Riley", 0, 0, "dsbscience@cetlink.net");
  aboutData.addAuthor("John S. Riley",0, "dsbscience@cetlink.net");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  RanPW *ranpw = new RanPW();
  a.setMainWidget(ranpw);
  ranpw->show();  

  return a.exec();
}
