#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ranpwdlg.ui'
**
** Created: Sat Apr 17 12:47:05 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.2.1   edited May 19 14:22 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ranpwdlg.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a RanPWDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
RanPWDlg::RanPWDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "RanPWDlg" );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setGeometry( QRect( 20, 40, 277, 17 ) );

    textLabel2 = new QLabel( this, "textLabel2" );
    textLabel2->setGeometry( QRect( 21, 12, 277, 17 ) );

    textLabel3 = new QLabel( this, "textLabel3" );
    textLabel3->setGeometry( QRect( 360, 40, 72, 20 ) );

    textLabel4 = new QLabel( this, "textLabel4" );
    textLabel4->setGeometry( QRect( 360, 10, 90, 20 ) );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setGeometry( QRect( 23, 82, 245, 124 ) );
    buttonGroup1->setExclusive( TRUE );

    Option1 = new QRadioButton( buttonGroup1, "Option1" );
    Option1->setGeometry( QRect( 20, 20, 201, 22 ) );
    Option1->setChecked( TRUE );

    Option2 = new QRadioButton( buttonGroup1, "Option2" );
    Option2->setGeometry( QRect( 22, 49, 201, 22 ) );

    Option3 = new QRadioButton( buttonGroup1, "Option3" );
    Option3->setGeometry( QRect( 20, 70, 201, 22 ) );

    numpw = new QLineEdit( this, "numpw" );
    numpw->setGeometry( QRect( 310, 10, 40, 24 ) );
    numpw->setAlignment( int( QLineEdit::AlignRight ) );

    numchar = new QLineEdit( this, "numchar" );
    numchar->setGeometry( QRect( 310, 40, 40, 24 ) );
    numchar->setAlignment( int( QLineEdit::AlignRight ) );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setGeometry( QRect( 274, 82, 271, 124 ) );
    buttonGroup2->setExclusive( TRUE );

    Option4 = new QRadioButton( buttonGroup2, "Option4" );
    Option4->setGeometry( QRect( 20, 20, 229, 22 ) );
    Option4->setChecked( TRUE );

    Option6 = new QRadioButton( buttonGroup2, "Option6" );
    Option6->setGeometry( QRect( 21, 79, 229, 22 ) );

    Option5 = new QRadioButton( buttonGroup2, "Option5" );
    Option5->setGeometry( QRect( 21, 51, 229, 22 ) );

    pushButton1 = new QPushButton( this, "pushButton1" );
    pushButton1->setGeometry( QRect( 190, 220, 160, 29 ) );

    pwout = new QTextEdit( this, "pwout" );
    pwout->setGeometry( QRect( 110, 260, 320, 136 ) );
    languageChange();
    resize( QSize(574, 486).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton1, SIGNAL( clicked() ), this, SLOT( Button1Clicked() ) );

    // tab order
    setTabOrder( numpw, numchar );
    setTabOrder( numchar, Option1 );
    setTabOrder( Option1, Option4 );
    setTabOrder( Option4, pushButton1 );
    setTabOrder( pushButton1, pwout );
}

/*
 *  Destroys the object and frees any allocated resources
 */
RanPWDlg::~RanPWDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void RanPWDlg::languageChange()
{
    setCaption( tr2i18n( "Random Password Generation Utility" ) );
    textLabel1->setText( tr2i18n( "Number of Characters in Each Password:" ) );
    textLabel2->setText( tr2i18n( "Number of Passwords to Generate:" ) );
    textLabel3->setText( tr2i18n( "(up to 20)" ) );
    textLabel4->setText( tr2i18n( "(up to 1000)" ) );
    buttonGroup1->setTitle( QString::null );
    QToolTip::add( buttonGroup1, QString::null );
    Option1->setText( tr2i18n( "Alpha Numeric Characters" ) );
    QToolTip::add( Option1, QString::null );
    QWhatsThis::add( Option1, tr2i18n( "Passwords will contain both alpha and numeric characters" ) );
    Option2->setText( tr2i18n( "Alpha Characters Only" ) );
    QToolTip::add( Option2, QString::null );
    QWhatsThis::add( Option2, tr2i18n( "Passwords will contain only alpha characters" ) );
    Option3->setText( tr2i18n( "Numeric Characters Only" ) );
    QToolTip::add( Option3, QString::null );
    QWhatsThis::add( Option3, tr2i18n( "Passwords will contain only numeric characters" ) );
    numpw->setText( tr2i18n( "1" ) );
    QToolTip::add( numpw, QString::null );
    QWhatsThis::add( numpw, tr2i18n( "Set number of passwords to generate; maximum is 1000." ) );
    numchar->setText( tr2i18n( "8" ) );
    QToolTip::add( numchar, QString::null );
    QWhatsThis::add( numchar, tr2i18n( "Sets number of characters per password; maximum is 20." ) );
    buttonGroup2->setTitle( QString::null );
    QToolTip::add( buttonGroup2, QString::null );
    Option4->setText( tr2i18n( "Mixed Upper and Lower Cases" ) );
    QToolTip::add( Option4, QString::null );
    QWhatsThis::add( Option4, tr2i18n( "Alpha characters can be upper or lower case; has no effect if Numeric Characters Only is selected." ) );
    Option6->setText( tr2i18n( "Upper Case Only" ) );
    QToolTip::add( Option6, QString::null );
    QWhatsThis::add( Option6, tr2i18n( "Alpha characters will be upper case only; has no effect if Numeric Characters Only is selected." ) );
    Option5->setText( tr2i18n( "Lower Case Only" ) );
    QToolTip::add( Option5, QString::null );
    QWhatsThis::add( Option5, tr2i18n( "alpha characters will be lower case only; has no effect if Numeric Characters Only is selected." ) );
    pushButton1->setText( tr2i18n( "Generate Password(s)" ) );
    QToolTip::add( pushButton1, QString::null );
    QWhatsThis::add( pushButton1, tr2i18n( "Generates passwords according to current options." ) );
    QToolTip::add( pwout, QString::null );
    QWhatsThis::add( pwout, tr2i18n( "Passwords are displayed here; can be copied or edited." ) );
}

void RanPWDlg::Button1Clicked()
{
    qWarning( "RanPWDlg::Button1Clicked(): Not implemented yet" );
}

#include "ranpwdlg.moc"
